OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
FindMinVoxelValue< LeafNodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | ValueType = typename LeafNodeType::ValueType

## Public Member Functions
| FindMinVoxelValue (LeafNodeType const *const *const leafnodes)
| FindMinVoxelValue (FindMinVoxelValue &rhs, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (FindMinVoxelValue &rhs)

## Public Attributes
ValueType | minValue
const LeafNodeType *const *const | mNodes

## Member Typedef Documentation

## ◆ ValueType

using ValueType = typename LeafNodeType::ValueType

## Constructor & Destructor Documentation

## ◆ FindMinVoxelValue() [1/2]

FindMinVoxelValue | ( | LeafNodeType const *const *const | leafnodes | ) |
| inline

## ◆ FindMinVoxelValue() [2/2]

FindMinVoxelValue | ( | FindMinVoxelValue< LeafNodeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | FindMinVoxelValue< LeafNodeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

## Member Data Documentation

## ◆ minValue

ValueType minValue

## ◆ mNodes

const LeafNodeType* const * const mNodes

The documentation for this struct was generated from the following file:

- LevelSetUtil.h